use quick_xml::events::Event;
use quick_xml::Writer;
use std::io::Cursor;

pub fn assemble_string_from_event_flow(events: &Vec<Event<'_>>) -> String {
    let mut writer = Writer::new(Cursor::new(Vec::new()));
    for event in events {
        writer.write_event(event).unwrap();
    }
    let result = writer.into_inner().into_inner();
    String::from_utf8(result).unwrap()
}
